#include <stdio.h>
#include <stdlib.h>

int main(int argc, char **argv) {
	int i;

	/* parse command line options ... */
	for(i=1; i<argc; i++) {
		if(argv[i][0] == '-' && argv[i][2] == 0) {
			switch(argv[i][1]) {
			case 's':
				if(!isdigit(argv[++i][0])) {
					fprintf(stderr, "-s must be followed by a number (size)\n");
					return EXIT_FAILURE;
				}
				size = atoi(argv[i]);
				break;

			default:
				fprintf(stderr, "unrecognized argument \"%s\"\n", argv[i]);
				return EXIT_FAILURE;
			}
		} else {
			fprintf(stderr, "unrecognized argument \"%s\"\n", argv[i]);
			return EXIT_FAILURE;
		}
	}
}
