#ifndef _DHNN_H_
#define _DHNN_H_

void *dh_create(int nodes);
void dh_free(void *dh);

int dh_get_node_count(void *dh);
float dh_get_memory(void *dh);

void dh_train(void *dh, int *pattern);
void dh_process(void *dh, int *out, int *pattern);

/* debug */
void dh_set_slow_processing(int enable);

#endif	/* _DHNN_H_ */
