#include "dhnn.h"

struct dhnn {
	int size;
	float **weights;
};

void *dh_create(int nodes) {
	int i;
	struct dhnn *dh;
	
	if(!(dh = malloc(sizeof(struct dhnn)))) {
		return 0;
	}

	dh->weights = malloc(nodes * sizeof(float*));
	for(i=0; i<nodes; i++) {
		dh->weights[i] = malloc(nodes * sizeof(float));
		memset(dh->weights[i], 0, nodes * sizeof(float));
	}
	dh->size = nodes;

	return dh;
}

void dh_free(void *dh) {
	int i;
	for(i=0; i<dh->size; i++) {
		free(dh->weights[i]);
	}
	free(dh->weights);
	free(dh);
}
